View Issue Details

IDProjectCategoryView StatusLast Update
0003210SUMoNew Featurepublic2016-01-23 15:27
ReportergemalAssigned ToKyle_Katarn 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version4.1.8 
Target Version4.3Fixed in Version4.3 
Summary0003210: Support detection of adobe air applictions
DescriptionI use "Mockups"
https://balsamiq.com/download/#

it's a adobe air application

it has it's own version number

but Sumo does not detect this as an appliction so I manually have to go to the page to check to see if I have the latest version

could be suprt cool if sumo could detect adobe air applications
TagsNo tags attached.

Relationships

related to 0003514 resolvedKyle_Katarn Wrong company name detection for some Adobe AIR applications 
related to 0003515 resolvedKyle_Katarn Using <name> rather than <filename> for AIR applications (if available) 

Activities

Kyle_Katarn

2015-10-26 13:57

administrator   ~0002105

Please add screenshot and SUMo log.

gemal

2015-10-26 19:52

reporter   ~0002107

I looked into this. The exe file has empty version info but

but the following file:
c:\Program Files (x86)\Balsamiq Mockups 3\META-INF\AIR\application.xml
has the version information.

I think the file strucure is the same for other Adobe Air applications
The xml file can be read and version extracted

would it be possible to support this?

Kyle_Katarn

2015-10-26 20:49

administrator   ~0002108

Yes, for sure !

This needs some redesign of the detection / info extraction engine, but this will improve SUMo detection to all other AIR-based apps.

Not in the minor versions to come but in next 4.x release (4.2 i guess !)

Issue History

Date Modified Username Field Change
2015-10-26 11:31 gemal New Issue
2015-10-26 13:57 Kyle_Katarn Note Added: 0002105
2015-10-26 13:57 Kyle_Katarn Assigned To => Kyle_Katarn
2015-10-26 13:57 Kyle_Katarn Status new => feedback
2015-10-26 19:52 gemal Note Added: 0002107
2015-10-26 20:48 Kyle_Katarn Status feedback => confirmed
2015-10-26 20:48 Kyle_Katarn Product Version => 4.1.8
2015-10-26 20:48 Kyle_Katarn Target Version => 4.3.x
2015-10-26 20:49 Kyle_Katarn Note Added: 0002108
2015-12-14 22:02 Kyle_Katarn Target Version 4.3.x => 4.2.5
2015-12-21 23:23 Kyle_Katarn Target Version 4.2.5 => 4.3.x
2015-12-22 15:31 Kyle_Katarn Target Version 4.3.x => 4.2.6
2015-12-28 11:57 Kyle_Katarn Target Version 4.2.6 => 4.2.7
2016-01-07 21:11 Kyle_Katarn Target Version 4.2.7 => 4.3
2016-01-17 14:35 Kyle_Katarn Status confirmed => resolved
2016-01-17 14:35 Kyle_Katarn Fixed in Version => 4.3
2016-01-17 14:35 Kyle_Katarn Resolution open => fixed
2016-01-23 15:13 Kyle_Katarn Relationship added related to 0003514
2016-01-23 15:27 Kyle_Katarn Relationship added related to 0003515